package util;

import driver.PTAOptions;

public class Debug{
	static int offset = 0;
	static String offsetChar = "\t";
	static String offsetString = "";
	public static void incOffset() {
		offset++;
		offsetString+=offsetChar;
	}
	public static void decOffset() {
		offset--;
		if(offset<0)
			offset=0;
		offsetString = "";
		for(int i=0;i<offset;i++) {
			offsetString+=offsetChar;
		}
	}
	
	public static void println(Object content) {
		if(PTAOptions.debug) {
			System.out.print(offsetString);
			System.out.println(content.toString());
		}
	}
}
